CVE-2011-2689

NameCVE-2011-2689
DescriptionThe gfs2_fallocate function in fs/gfs2/file.c in the Linux kernel before 3.0-rc1 does not ensure that the size of a chunk allocation is a multiple of the block size, which allows local users to cause a denial of service (BUG and system crash) by arranging for all resource groups to have too little free space.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linux-2.6sourcelenny(not affected)
linux-2.6sourcesqueeze(not affected)
linux-2.6source(unstable)3.0.0-1

Notes

[squeeze] - linux-2.6 <not-affected> (gfs didn't have fallocate support until 2.6.37)
[lenny] - linux-2.6 <not-affected> (gfs didn't have fallocate support until 2.6.37)

Search for package or bug name: Reporting problems